
QGIS Application - Bug report #13417

missing libqgis_app.so

2015-09-24 12:18 PM - Mikhail Tchernychev

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: trusty Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21466

Description

Hi,

Just after nightly upgrade QGIS cannot start any more with message:

/usr/bin/qgis.bin: error while loading shared libraries: libqgis_app.so: cannot open shared object file: No such file or directory

I am using http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable

I am lost. Where this lib belongs to? I can't figure out which DEB file should have it.

Please at least give me a clue where this should be.

There is no file libqgis_app* on my Linux box.

Did work before.

Make Linux version not working at all.

Packaging problem?

Thank you

Mikhail

Related issues:

Duplicated by QGIS Application - Bug report # 13443: (Linux) QGIS (and GRASS)... Closed 2015-09-28

Associated revisions

Revision 48d16ed3 - 2015-09-26 09:50 PM - Jürgen Fischer

include libqgis_app in install (fixes #13417)

History

#1 - 2015-09-24 09:04 PM - Mikhail Tchernychev

Update:

Updated home PC (unfortunately). The same issue.
here ldd command before update:

misha@misha-amd:~$ ldd -v /usr/bin/qgis.bin | grep libqgis

    libqgis_core.so.2.11.0 => /usr/lib/libqgis_core.so.2.11.0 (0xb421b000)

    libqgis_gui.so.2.11.0 => /usr/lib/libqgis_gui.so.2.11.0 (0xb3c62000)

    libqgis_analysis.so.2.11.0 => /usr/lib/libqgis_analysis.so.2.11.0 (0xb3bc5000)

    /usr/lib/libqgis_core.so.2.11.0:

    /usr/lib/libqgis_gui.so.2.11.0:

    /usr/lib/libqgis_analysis.so.2.11.0:

As it can be seen there is lo link to libqgis_app.so Simply no this lib.

Here is after update:

misha@misha-amd:~$ ldd -v /usr/bin/qgis.bin | grep not

    libqgis_app.so => not found

misha@misha-amd:~$ ldd -v /usr/bin/qgis.bin | grep app

    libqgis_app.so => not found

    libgstapp-1.0.so.0 => /usr/lib/i386-linux-gnu/libgstapp-1.0.so.0 (0xb1a24000)

    /usr/lib/i386-linux-gnu/libgstapp-1.0.so.0:

You can see

libqgis_app.so => not found

Seem last mentioning of libqgis_app is 3 years ago...

Thank you

Mikhail

#2 - 2015-09-25 01:06 AM - Klas Karlsson

Same problem on Ubuntu (and flavours).

Using qgis.org/debian-nightly

/usr/bin/qgis.bin: error while loading shared libraries: libqgis_app.so: cannot open shared object file: No such file or directory

#3 - 2015-09-25 03:10 PM - Salvatore Larosa

- Status changed from Open to Feedback

Try to update links by running a ldconfig and please close this if that helps.

#4 - 2015-09-25 03:48 PM - Mikhail Tchernychev

No, it did not work.

There is no file libqgis_app.so on my system, how ldconfig could help?

There was no link to it in the previous QGIS version.
I run

sudo ldconfig

sudo /sbin/ldconfig -v

sudo /sbin/ldconfig -n /lib

It did not help.

Mikhail

#5 - 2015-09-26 12:50 PM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"48d16ed380495eaabb640dfeb95d5cf2819cf1c0".
